> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Broadcasts

> Get broadcasts by filters



## OpenAPI

````yaml GET /broadcasts
openapi: 3.0.1
info:
  title: Konvo API
  description: Access to your contact, broadcast, attribution & clicks data
  license:
    name: MIT
  version: 0.0.1
servers:
  - url: https://api.konvoai.com
security:
  - apiKeyAuth: []
paths:
  /broadcasts:
    get:
      description: Get broadcasts by filters
      parameters:
        - name: page
          in: query
          description: Pointer for the current page of the paginated query
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of results to return, maximum is 200
          schema:
            type: integer
            format: int32
        - name: updated_at_min
          in: query
          description: Filter by broadcasts updated after a certain date
          schema:
            type: string
        - name: updated_at_max
          in: query
          description: Filter by broadcasts updated before a certain date
          schema:
            type: string
        - name: created_at_min
          in: query
          description: Filter by broadcasts created after a certain date
          schema:
            type: string
        - name: created_at_max
          in: query
          description: Filter by broadcasts created after a certain date
          schema:
            type: string
      responses:
        '200':
          description: Get broadcast response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BroadcastResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BroadcastResponse:
      type: object
      properties:
        count:
          description: Total count of the request
          type: integer
        result:
          description: Resulting query
          type: array
          items:
            $ref: '#/components/schemas/Broadcast'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Broadcast:
      properties:
        id:
          type: string
          example: 01823bbc-96e0-4c0a-a9cd-0a41ede22d50
        name:
          type: string
          example: Black Friday Campaign
        status:
          type: string
          example: Running
        audience:
          type: object
          properties:
            id:
              type: string
              example: 1b03b3be-6aa4-4898-82ee-7db51b4ce28e
            name:
              type: string
              example: Black Friday Campaign - Audience
            broadcastId:
              type: string
              example: 7b535c43-71b2-4b5e-b35e-f0b0f93bc84e
            lists:
              type: array
            segment:
              type: string
              example: 'null'
            recipientCount:
              type: number
              example: '2000'
        flow:
          type: object
          properties:
            id:
              type: string
              example: 1b03b3be-6aa4-4898-82ee-7db51b4ce28e
            name:
              type: string
              example: Example Reactivation Flow
            emoji:
              type: string
              example: 🏷️
            flowVersionId:
              type: string
              example: 7b535c43-71b2-4b5e-b35e-f0b0f93bc84e
        templates:
          type: string
          example: 1b03b3be-6aa4-4898-82ee-7db51b4ce28e
        scheduled:
          type: string
          example: 2024-08-T12:19:41.000Z
        createdAt:
          type: string
          example: '2024-08-02T12:19:41.000Z'
        sent:
          type: number
          example: 0
        delivered:
          type: number
          example: 0
        failed:
          type: number
          example: 0
        opened:
          type: number
          example: 0
        clickAnalytics:
          type: object
          properties:
            count:
              type: number
              example: 0
            uniqueCount:
              type: number
              example: 0
            countryCount:
              type: array
              items:
                properties:
                  count:
                    type: number
                    example: 8
                  countryCode:
                    type: string
                    example: DE
                  resourceId:
                    type: string
                    example: u0IwaLEG1a
            sendCount:
              type: number
              example: 2000
        cost:
          type: object
          properties:
            amount:
              type: number
              example: 0
            currency:
              type: string
              example: eur
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````